Loading...
Searching...
No Matches
casacore::SDAntennaHandler Class Reference
msfits package (libcasa_msfits) » MSFits_module » MSFits_module_internal_classes

More...

`#include <SDAntennaHandler.h>`

## Public Member Functions

| SDAntennaHandler ()
| default ctor is not attached to a MS and hence is useless until attached
| SDAntennaHandler (MeasurementSet &ms, Vector< Bool > &handledCols, const Record &row)
| attach this to a MS, mark the appropriate columns as handled given the indicated row
| SDAntennaHandler (const SDAntennaHandler &other)
| copy ctor
| ~SDAntennaHandler ()
SDAntennaHandler & | operator= (const SDAntennaHandler &other)
| assignment operator, uses copy semantics
void | attach (MeasurementSet &ms, Vector< Bool > &handledCols, const Record &row)
| attach to a MS, mark the appropriate columns as handled given the
void | resetRow (const Record &row)
| reset internals given indicated row, use the same MS
void | fill (const Record &row)
| fill - a new row is added only when necessary
Int | antennaId ()
| get the current antenna ID
String | telescopeName ()
| get the telescope name
const MPosition & | telescopePosition ()
| get the telescope position

## Private Member Functions

void | addPhasedArrayIdColumn ()
| I expect these will never be used, nevertheless, put them here just in case I'm wrong.
void | addOrbitIdColumn ()
void | clearAll ()
| cleanup everything
void | clearRow ()
| cleanup things which depend on the row description being fixed
void | initAll (MeasurementSet &ms, Vector< Bool > &handledCols, const Record &row)
| initialize everything
void | initRow (Vector< Bool > &handledCols, const Record &row)
| initialize the things which depend on the row

## Private Attributes

ColumnsIndex * | index_p
RecordFieldPtr< String > | nameKey_p
RecordFieldPtr< String > | stationKey_p
RecordFieldPtr< String > | mountKey_p
RecordFieldPtr< Double > | dishDiameterKey_p
RecordFieldPtr< Int > | orbitIdKey_p
RecordFieldPtr< Int > | phasedIdKey_p
RecordFieldPtr< Bool > | flagRowKey_p
MSAntenna * | msAnt_p
MSAntennaColumns * | msAntCols_p
Int | rownr_p
RORecordFieldPtr< String > | telescopField_p
| pointers to fields in record, only used if attached
Int | siteLongFldNum_p
| telescope position might be a double or float, just remember its location
Int | siteLatFldNum_p
Int | siteElevFldNum_p
String | name_p
MPosition | position_p
RORecordFieldPtr< String > | mountField_p
| fields which might exist if this SDFITS was converted from an MS using ms2sdfits
RORecordFieldPtr< String > | msNameField_p
RORecordFieldPtr< String > | stationField_p
RORecordFieldPtr< Int > | orbitIdField_p
RORecordFieldPtr< Int > | phasedArrayIdField_p
RORecordFieldPtr< Double > | dishDiameterField_p
RORecordFieldPtr< Array< Double > > | offsetField_p
RORecordFieldPtr< Array< Double > > | positionField_p
RORecordFieldPtr< Bool > | flagRowField_p

## Detailed Description

### Intended use:

Internal or

### Intended use:

Internal

### Review Status

Date Reviewed:
  yyyy/mm/dd

### Prerequisite

- SomeClass
- SomeOtherClass
- some concept

### Etymology

### Synopsis

### Example

### Motivation

### Template Type Argument Requirements (T)

### Thrown Exceptions

### To Do

- add this feature
- fix this bug
- start discussion of this possible extension

Definition at line 86 of file SDAntennaHandler.h.

## Constructor & Destructor Documentation

## SDAntennaHandler() [1/3]

casacore::SDAntennaHandler::SDAntennaHandler | ( |  | ) |

default ctor is not attached to a MS and hence is useless until attached

Referenced by operator=(), and SDAntennaHandler().

## SDAntennaHandler() [2/3]

casacore::SDAntennaHandler::SDAntennaHandler | ( | MeasurementSet & | ms,
|  | Vector< Bool > & | handledCols,
|  | const Record & | row )

attach this to a MS, mark the appropriate columns as handled given the indicated row

References casacore::Record().

## SDAntennaHandler() [3/3]

casacore::SDAntennaHandler::SDAntennaHandler | ( | const SDAntennaHandler & | other | ) |

copy ctor

References SDAntennaHandler().

## ~SDAntennaHandler()

casacore::SDAntennaHandler::~SDAntennaHandler | ( |  | ) |

inline

Definition at line 99 of file SDAntennaHandler.h.

References clearAll().

## Member Function Documentation

## addOrbitIdColumn()

void casacore::SDAntennaHandler::addOrbitIdColumn | ( |  | ) |

private

## addPhasedArrayIdColumn()

void casacore::SDAntennaHandler::addPhasedArrayIdColumn | ( |  | ) |

private

I expect these will never be used, nevertheless, put them here just in case I'm wrong.

## antennaId()

Int casacore::SDAntennaHandler::antennaId | ( |  | ) |

inline

get the current antenna ID

Definition at line 114 of file SDAntennaHandler.h.

References rownr_p.

## attach()

void casacore::SDAntennaHandler::attach | ( | MeasurementSet & | ms,
|  | Vector< Bool > & | handledCols,
|  | const Record & | row )

attach to a MS, mark the appropriate columns as handled given the

References casacore::Record().

## clearAll()

void casacore::SDAntennaHandler::clearAll | ( |  | ) |

private

cleanup everything

Referenced by ~SDAntennaHandler().

## clearRow()

void casacore::SDAntennaHandler::clearRow | ( |  | ) |

private

cleanup things which depend on the row description being fixed

## fill()

void casacore::SDAntennaHandler::fill | ( | const Record & | row | ) |

fill - a new row is added only when necessary

References casacore::Record().

## initAll()

void casacore::SDAntennaHandler::initAll | ( | MeasurementSet & | ms,
|  | Vector< Bool > & | handledCols,
|  | const Record & | row )

private

initialize everything

References casacore::Record().

## initRow()

void casacore::SDAntennaHandler::initRow | ( | Vector< Bool > & | handledCols,
|  | const Record & | row )

private

initialize the things which depend on the row

References casacore::Record().

## operator=()

SDAntennaHandler & casacore::SDAntennaHandler::operator= | ( | const SDAntennaHandler & | other | ) |

assignment operator, uses copy semantics

References SDAntennaHandler().

## resetRow()

void casacore::SDAntennaHandler::resetRow | ( | const Record & | row | ) |

reset internals given indicated row, use the same MS

References casacore::Record().

## telescopeName()

String casacore::SDAntennaHandler::telescopeName | ( |  | ) |

inline

get the telescope name

Definition at line 117 of file SDAntennaHandler.h.

References name_p.

## telescopePosition()

const MPosition & casacore::SDAntennaHandler::telescopePosition | ( |  | ) |

inline

get the telescope position

Definition at line 120 of file SDAntennaHandler.h.

References position_p.

## Member Data Documentation

## dishDiameterField_p

RORecordFieldPtr<Double> casacore::SDAntennaHandler::dishDiameterField_p

private

Definition at line 145 of file SDAntennaHandler.h.

## dishDiameterKey_p

RecordFieldPtr<Double> casacore::SDAntennaHandler::dishDiameterKey_p

private

Definition at line 124 of file SDAntennaHandler.h.

## flagRowField_p

RORecordFieldPtr<Bool> casacore::SDAntennaHandler::flagRowField_p

private

Definition at line 147 of file SDAntennaHandler.h.

## flagRowKey_p

RecordFieldPtr<Bool> casacore::SDAntennaHandler::flagRowKey_p

private

Definition at line 126 of file SDAntennaHandler.h.

## index_p

ColumnsIndex* casacore::SDAntennaHandler::index_p

private

Definition at line 122 of file SDAntennaHandler.h.

## mountField_p

RORecordFieldPtr<String> casacore::SDAntennaHandler::mountField_p

private

fields which might exist if this SDFITS was converted from an MS using ms2sdfits

Definition at line 143 of file SDAntennaHandler.h.

## mountKey_p

RecordFieldPtr<String> casacore::SDAntennaHandler::mountKey_p

private

Definition at line 123 of file SDAntennaHandler.h.

## msAnt_p

MSAntenna* casacore::SDAntennaHandler::msAnt_p

private

Definition at line 127 of file SDAntennaHandler.h.

## msAntCols_p

MSAntennaColumns* casacore::SDAntennaHandler::msAntCols_p

private

Definition at line 128 of file SDAntennaHandler.h.

## msNameField_p

RORecordFieldPtr<String> casacore::SDAntennaHandler::msNameField_p

private

Definition at line 143 of file SDAntennaHandler.h.

## name_p

String casacore::SDAntennaHandler::name_p

private

Definition at line 139 of file SDAntennaHandler.h.

Referenced by telescopeName().

## nameKey_p

RecordFieldPtr<String> casacore::SDAntennaHandler::nameKey_p

private

Definition at line 123 of file SDAntennaHandler.h.

## offsetField_p

RORecordFieldPtr<Array<Double> > casacore::SDAntennaHandler::offsetField_p

private

Definition at line 146 of file SDAntennaHandler.h.

## orbitIdField_p

RORecordFieldPtr<Int> casacore::SDAntennaHandler::orbitIdField_p

private

Definition at line 144 of file SDAntennaHandler.h.

## orbitIdKey_p

RecordFieldPtr<Int> casacore::SDAntennaHandler::orbitIdKey_p

private

Definition at line 125 of file SDAntennaHandler.h.

## phasedArrayIdField_p

RORecordFieldPtr<Int> casacore::SDAntennaHandler::phasedArrayIdField_p

private

Definition at line 144 of file SDAntennaHandler.h.

## phasedIdKey_p

RecordFieldPtr<Int> casacore::SDAntennaHandler::phasedIdKey_p

private

Definition at line 125 of file SDAntennaHandler.h.

## position_p

MPosition casacore::SDAntennaHandler::position_p

private

Definition at line 140 of file SDAntennaHandler.h.

Referenced by telescopePosition().

## positionField_p

RORecordFieldPtr<Array<Double> > casacore::SDAntennaHandler::positionField_p

private

Definition at line 146 of file SDAntennaHandler.h.

## rownr_p

Int casacore::SDAntennaHandler::rownr_p

private

Definition at line 130 of file SDAntennaHandler.h.

Referenced by antennaId().

## siteElevFldNum_p

Int casacore::SDAntennaHandler::siteElevFldNum_p

private

Definition at line 137 of file SDAntennaHandler.h.

## siteLatFldNum_p

Int casacore::SDAntennaHandler::siteLatFldNum_p

private

Definition at line 137 of file SDAntennaHandler.h.

## siteLongFldNum_p

Int casacore::SDAntennaHandler::siteLongFldNum_p

private

telescope position might be a double or float, just remember its location

Definition at line 137 of file SDAntennaHandler.h.

## stationField_p

RORecordFieldPtr<String> casacore::SDAntennaHandler::stationField_p

private

Definition at line 143 of file SDAntennaHandler.h.

## stationKey_p

RecordFieldPtr<String> casacore::SDAntennaHandler::stationKey_p

private

Definition at line 123 of file SDAntennaHandler.h.

## telescopField_p

RORecordFieldPtr<String> casacore::SDAntennaHandler::telescopField_p

private

pointers to fields in record, only used if attached

Definition at line 133 of file SDAntennaHandler.h.

The documentation for this class was generated from the following file:

- msfits/MSFits/SDAntennaHandler.h